Subject: Re: bug#45266: "guix gc" needs free disk space to function

From: Ludovic Courtès <[email-masked]>
Date: Tue, 22 Dec 2020 15:37:29 +0100

Hi,

Nathan Dehnel <[email-masked]> skribis:

> It would be better if guix gc could run on a disk that was completely
> full, as right now it cannot be used to free space on a full disk.

The daemon reserves a bit of extra space before starting operation (see
‘reserve-space?’ in (guix store)), which should be enough to gracefully
handle situations where builds are filling the disk.

However, there can also be non-Guix processes filling the disk, to the
point where it’s completely full, and at that point sqlite3 (which the
daemon uses) may be unable to operate.

I’m afraid there’s little we can do in this case.

Thoughts?

Ludo’.